/**
 * Unified matching utilities for the routing system
 * All route matching logic should use these matchers for consistency
 */

export * from './domain.js';
export * from './path.js';
export * from './ip.js';
export * from './header.js';

// Re-export for convenience
import { DomainMatcher } from './domain.js';
import { PathMatcher } from './path.js';
import { IpMatcher } from './ip.js';
import { HeaderMatcher } from './header.js';

export const matchers = {
  domain: DomainMatcher,
  path: PathMatcher,
  ip: IpMatcher,
  header: HeaderMatcher
} as const;