/**
 * Forwarding configuration exports
 *
 * Note: The legacy domain-based configuration has been replaced by route-based configuration.
 * See /ts/proxies/smart-proxy/models/route-types.ts for the new route-based configuration.
 */

export type { 
  TForwardingType,
  IForwardConfig,
  IForwardingHandler
} from './forwarding-types.js';

export { 
  ForwardingHandlerEvents
} from './forwarding-types.js';

// Import route helpers from route-patterns instead of deleted route-helpers
export {
  createHttpRoute,
  createHttpsTerminateRoute,
  createHttpsPassthroughRoute,
  createHttpToHttpsRedirect,
  createCompleteHttpsServer,
  createLoadBalancerRoute
} from '../../proxies/smart-proxy/utils/route-patterns.js';