/**
 * SmartProxy implementation
 *
 * Version 14.0.0: Unified Route-Based Configuration API
 */
// Re-export models
export * from './models/index.js';

// Export the main SmartProxy class
export { SmartProxy } from './smart-proxy.js';

// Export core supporting classes
export { ConnectionManager } from './connection-manager.js';
export { SecurityManager } from './security-manager.js';
export { TimeoutManager } from './timeout-manager.js';
export { TlsManager } from './tls-manager.js';
export { HttpProxyBridge } from './http-proxy-bridge.js';

// Export route-based components
export { SharedRouteManager as RouteManager } from '../../core/routing/route-manager.js';
export { RouteConnectionHandler } from './route-connection-handler.js';
export { NFTablesManager } from './nftables-manager.js';

// Export certificate management
export { SmartCertManager } from './certificate-manager.js';

// Export all helper functions from the utils directory
export * from './utils/index.js';
