/**
 * SmartProxy Route Utilities
 *
 * This file exports all route-related utilities for the SmartProxy module,
 * including helpers, validators, utilities, and patterns for working with routes.
 */

// Export route helpers for creating route configurations
export * from './route-helpers.js';

// Export route validators for validating route configurations
export * from './route-validators.js';

// Export route utilities for route operations
export * from './route-utils.js';

// Export route patterns with renamed exports to avoid conflicts
import {
  createWebSocketRoute as createWebSocketPatternRoute,
  createLoadBalancerRoute as createLoadBalancerPatternRoute,
  createApiGatewayRoute,
  addRateLimiting,
  addBasicAuth,
  addJwtAuth
} from './route-patterns.js';

export {
  createWebSocketPatternRoute,
  createLoadBalancerPatternRoute,
  createApiGatewayRoute,
  addRateLimiting,
  addBasicAuth,
  addJwtAuth
};

// Migration utilities have been removed as they are no longer needed